Monitoring, Management & Location Tracking

7.4.0 upgrade failed when updating kpartx RPM package

Issue: Upgrade to AirWave 7.4 fails with the following error message:

/usr/bin/make -C /root/svn/mercury/src/x86_64/rpms/CentOS-5.0 install
make[3]: Entering directory `/root/svn/mercury/src/x86_64/rpms/CentOS-5.0'
Preparing... ##################################################
freetype ##################################################
Preparing... ##################################################
nspr ##################################################
Preparing... ##################################################
nss ##################################################
nss-tools ##################################################
Preparing... ##################################################
coreutils ##################################################
Preparing... ##################################################
initscripts ##################################################
error: Failed dependencies:
kpartx = 0.4.7-34.el5_5.5 is needed by (installed) device-mapper-multipath-0.4.7-34.el5_5.5.x86_64

----------------------

Resolution:

1.If your server can get to the internet :

#yum install kpartx
#root;make

2. If your server is behind a firewall and cannot access the internet:
#cd /root/svn/mercury/src/x86_64/rpms/CentOS-5.0/
#rpm -Uvh --force kpartx-0.4.7-46.el5_7.1.x86_64
#root;make

Version history
Revision #:
3 of 3
Last update:
‎06-24-2014 09:05 AM
Updated by:
 
Labels (1)
Search Airheads
Showing results for 
Search instead for 
Did you mean: 
Is this a frequent problem?

Request an official Aruba knowledge base article to be written by our experts.